<?php

add_action( 'after_setup_theme', 'university_education_hub_after_setup_theme' );
function university_education_hub_after_setup_theme() {
    add_theme_support( 'title-tag' );
    add_theme_support( 'automatic-feed-links' );
    add_theme_support( "responsive-embeds" );
    add_theme_support( 'wp-block-styles' );
    add_theme_support( 'align-wide' );
    add_theme_support( 'post-thumbnails' );
    add_image_size( 'university-education-hub-featured-image', 2000, 1200, true );
    add_image_size( 'university-education-hub-thumbnail-avatar', 100, 100, true );

    // Set the default content width.
    $GLOBALS['content_width'] = 525;

    // Add theme support for Custom Logo.
    add_theme_support( 'custom-logo', array(
        'width'       => 250,
        'height'      => 250,
        'flex-width'  => true,
        'flex-height'  => true,
    ) );

    add_theme_support( 'custom-background', array(
        'default-color' => 'ffffff'
    ) );

    add_theme_support( 'html5', array('comment-form','comment-list','gallery','caption',) );

}

// Add function after setup:
function university_education_conditional_editor_styles() {

    add_editor_style( array( 'assets/css/editor-style.css', elearning_education_fonts_url() ) );
}
add_action( 'after_setup_theme', 'university_education_conditional_editor_styles', 11 );


/**
 * Register widget area.
 */
function university_education_hub_widgets_init() {
    register_sidebar( array(
        'name'          => __( 'Blog Sidebar', 'university-education-hub' ),
        'id'            => 'sidebar-1',
        'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'university-education-hub' ),
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget'  => '</section>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ) );

    register_sidebar( array(
        'name'          => __( 'Page Sidebar', 'university-education-hub' ),
        'id'            => 'sidebar-2',
        'description'   => __( 'Add widgets here to appear in your sidebar on pages.', 'university-education-hub' ),
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget'  => '</section>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ) );

    register_sidebar( array(
        'name'          => __( 'Sidebar 3', 'university-education-hub' ),
        'id'            => 'sidebar-3',
        'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'university-education-hub' ),
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget'  => '</section>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ) );

    register_sidebar( array(
        'name'          => __( 'Footer 1', 'university-education-hub' ),
        'id'            => 'footer-1',
        'description'   => __( 'Add widgets here to appear in your footer.', 'university-education-hub' ),
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget'  => '</section>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ) );

    register_sidebar( array(
        'name'          => __( 'Footer 2', 'university-education-hub' ),
        'id'            => 'footer-2',
        'description'   => __( 'Add widgets here to appear in your footer.', 'university-education-hub' ),
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget'  => '</section>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ) );

    register_sidebar( array(
        'name'          => __( 'Footer 3', 'university-education-hub' ),
        'id'            => 'footer-3',
        'description'   => __( 'Add widgets here to appear in your footer.', 'university-education-hub' ),
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget'  => '</section>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ) );

    register_sidebar( array(
        'name'          => __( 'Footer 4', 'university-education-hub' ),
        'id'            => 'footer-4',
        'description'   => __( 'Add widgets here to appear in your footer.', 'university-education-hub' ),
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget'  => '</section>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ) );
}
add_action( 'widgets_init', 'university_education_hub_widgets_init' );

// enqueue styles for child theme
function university_education_hub_enqueue_styles() {

    require get_stylesheet_directory() . '/customizer/customizer.php';

    wp_enqueue_style( 'university-education-hub-fonts', elearning_education_fonts_url(), array(), null );

    // Bootstrap
    wp_enqueue_style( 'bootstrap-css', get_theme_file_uri( '/assets/css/bootstrap.css' ) );

    // Theme block stylesheet.
    wp_enqueue_style( 'university-education-hub-block-style', get_theme_file_uri( '/assets/css/blocks.css' ), array( 'university-education-hub-child-style' ), '1.0' );

    // enqueue parent styles
    wp_enqueue_style('elearning-education-style', get_template_directory_uri() .'/style.css');

    // enqueue child styles
    wp_enqueue_style('university-education-hub-child-style', get_stylesheet_directory_uri() .'/style.css', array('elearning-education-style'));

    require get_theme_file_path( '/tp-theme-color.php' );
        wp_add_inline_style( 'university-education-hub-child-style',$elearning_education_tp_theme_css );

    wp_enqueue_script( 'comment-reply', '/wp-includes/js/comment-reply.min.js', array(), false, true );
}
add_action('wp_enqueue_scripts', 'university_education_hub_enqueue_styles');

function university_education_hub_admin_scripts() {
    // Backend CSS
    wp_enqueue_style( 'university-education-hub-backend-css', get_theme_file_uri( '/assets/css/customizer.css' ) );
}
add_action( 'admin_enqueue_scripts', 'university_education_hub_admin_scripts' );

function university_education_hub_theme_setup() {

    require get_theme_file_path( '/customizer/customize-control-toggle.php' );

    if ( ! defined( 'ELEARNING_EDUCATION_PRO_THEME_URL' ) ) {
        define( 'ELEARNING_EDUCATION_PRO_THEME_URL', 'https://www.themespride.com/products/education-hub-wordpress-theme' );
    }
    if ( ! defined( 'ELEARNING_EDUCATION_PRO_THEME_NAME' ) ) {
        define( 'ELEARNING_EDUCATION_PRO_THEME_NAME', esc_html__( 'University Education Pro', 'university-education-hub' ));
    }
    if ( ! defined( 'ELEARNING_EDUCATION_FREE_THEME_URL' ) ) {
    	define( 'ELEARNING_EDUCATION_FREE_THEME_URL', 'https://www.themespride.com/products/free-university-wordpress-theme' );
    }
    if ( ! defined( 'ELEARNING_EDUCATION_DEMO_THEME_URL' ) ) {
    	define( 'ELEARNING_EDUCATION_DEMO_THEME_URL', 'https://page.themespride.com/university-education-hub-pro/' );
    }
    if ( ! defined( 'ELEARNING_EDUCATION_DOCS_THEME_URL' ) ) {
        define( 'ELEARNING_EDUCATION_DOCS_THEME_URL', 'https://page.themespride.com/demo/docs/university-education-hub-lite/' );
    }
    if ( ! defined( 'ELEARNING_EDUCATION_DOCS_URL' ) ) {
    	define( 'ELEARNING_EDUCATION_DOCS_URL', esc_url('https://page.themespride.com/demo/docs/university-education-hub-lite/'));
    }
    if ( ! defined( 'ELEARNING_EDUCATION_RATE_THEME_URL' ) ) {
        define( 'ELEARNING_EDUCATION_RATE_THEME_URL', 'https://wordpress.org/support/theme/university-education-hub/reviews/#new-post' );
    }
    if ( ! defined( 'ELEARNING_EDUCATION_SUPPORT_THEME_URL' ) ) {
        define( 'ELEARNING_EDUCATION_SUPPORT_THEME_URL', 'https://wordpress.org/support/theme/university-education-hub' );
    }
    if ( ! defined( 'ELEARNING_EDUCATION_CHANGELOG_THEME_URL' ) ) {
        define( 'ELEARNING_EDUCATION_CHANGELOG_THEME_URL', get_stylesheet_directory() . '/readme.txt' );
    }

    define('UNIVERSITY_EDUCATION_CREDIT',__('https://www.themespride.com/products/free-university-wordpress-theme','university-education-hub') );
    if ( ! function_exists( 'university_education_credit' ) ) {
        function university_education_credit(){
            echo "<a href=".esc_url(UNIVERSITY_EDUCATION_CREDIT)." target='_blank'>".esc_html__(get_theme_mod('elearning_education_footer_text',__('University Education Hub WordPress Theme','university-education-hub')))."</a>";
        }
    }

}
add_action( 'after_setup_theme', 'university_education_hub_theme_setup' );


// Remove customizer settings
function university_education_hub_remove_custom($wp_customize) {
    
    $wp_customize->remove_setting('elearning_education_slider_excerpt_length');
    $wp_customize->remove_control('elearning_education_slider_excerpt_length');

}
add_action('customize_register', 'university_education_hub_remove_custom', 1000);
